aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEelco Dolstra <edolstra@gmail.com>2021-04-15 14:15:21 +0200
committerEelco Dolstra <edolstra@gmail.com>2021-04-15 14:15:21 +0200
commit76980a1f3daf6d2890f7686bfc8cdf6a8b9e8dae (patch)
tree7b165a4674203344cda1b7c491a209d195e03ec6
parent3ee0ecdda0e64f39d9702617f2547b0e3d5619b6 (diff)
parentff1a2143aa1338ccba0e2bc5ccd66bd3df8baa31 (diff)
Merge branch 'build-with-strictDeps' of https://github.com/hercules-ci/nix
-rw-r--r--flake.nix9
-rw-r--r--tests/build-remote.sh4
-rw-r--r--tests/gc-runtime.sh2
-rw-r--r--tests/linux-sandbox.sh4
-rw-r--r--tests/recursive.sh2
-rw-r--r--tests/shell.sh2
6 files changed, 14 insertions, 9 deletions
diff --git a/flake.nix b/flake.nix
index b8d5e0087..8cd000e83 100644
--- a/flake.nix
+++ b/flake.nix
@@ -78,7 +78,8 @@
buildPackages.git
buildPackages.mercurial
buildPackages.jq
- ];
+ ]
+ ++ lib.optionals stdenv.isLinux [(pkgs.util-linuxMinimal or pkgs.utillinuxMinimal)];
buildDeps =
[ curl
@@ -90,7 +91,7 @@
lowdown
gmock
]
- ++ lib.optionals stdenv.isLinux [libseccomp (pkgs.util-linuxMinimal or pkgs.utillinuxMinimal)]
+ ++ lib.optionals stdenv.isLinux [libseccomp]
++ lib.optional (stdenv.isLinux || stdenv.isDarwin) libsodium
++ lib.optional stdenv.isx86_64 libcpuid;
@@ -233,6 +234,8 @@
separateDebugInfo = true;
+ strictDeps = true;
+
passthru.perl-bindings = with final; stdenv.mkDerivation {
name = "nix-perl-${version}";
@@ -517,6 +520,8 @@
installCheckFlags = "sysconfdir=$(out)/etc";
stripAllList = ["bin"];
+
+ strictDeps = true;
};
});
diff --git a/tests/build-remote.sh b/tests/build-remote.sh
index 04848e4b5..70f82e939 100644
--- a/tests/build-remote.sh
+++ b/tests/build-remote.sh
@@ -1,5 +1,5 @@
-if ! canUseSandbox; then exit; fi
-if ! [[ $busybox =~ busybox ]]; then exit; fi
+if ! canUseSandbox; then exit 99; fi
+if ! [[ $busybox =~ busybox ]]; then exit 99; fi
unset NIX_STORE_DIR
unset NIX_STATE_DIR
diff --git a/tests/gc-runtime.sh b/tests/gc-runtime.sh
index 4c5028005..6094959cb 100644
--- a/tests/gc-runtime.sh
+++ b/tests/gc-runtime.sh
@@ -4,7 +4,7 @@ case $system in
*linux*)
;;
*)
- exit 0;
+ exit 99;
esac
set -m # enable job control, needed for kill
diff --git a/tests/linux-sandbox.sh b/tests/linux-sandbox.sh
index 70a90a907..eac62d461 100644
--- a/tests/linux-sandbox.sh
+++ b/tests/linux-sandbox.sh
@@ -2,13 +2,13 @@ source common.sh
clearStore
-if ! canUseSandbox; then exit; fi
+if ! canUseSandbox; then exit 99; fi
# Note: we need to bind-mount $SHELL into the chroot. Currently we
# only support the case where $SHELL is in the Nix store, because
# otherwise things get complicated (e.g. if it's in /bin, do we need
# /lib as well?).
-if [[ ! $SHELL =~ /nix/store ]]; then exit; fi
+if [[ ! $SHELL =~ /nix/store ]]; then exit 99; fi
chmod -R u+w $TEST_ROOT/store0 || true
rm -rf $TEST_ROOT/store0
diff --git a/tests/recursive.sh b/tests/recursive.sh
index b020ec710..a55b061b5 100644
--- a/tests/recursive.sh
+++ b/tests/recursive.sh
@@ -1,7 +1,7 @@
source common.sh
# FIXME
-if [[ $(uname) != Linux ]]; then exit; fi
+if [[ $(uname) != Linux ]]; then exit 99; fi
clearStore
diff --git a/tests/shell.sh b/tests/shell.sh
index 7a9ee8ab0..2b85bb337 100644
--- a/tests/shell.sh
+++ b/tests/shell.sh
@@ -6,7 +6,7 @@ clearCache
nix shell -f shell-hello.nix hello -c hello | grep 'Hello World'
nix shell -f shell-hello.nix hello -c hello NixOS | grep 'Hello NixOS'
-if ! canUseSandbox; then exit; fi
+if ! canUseSandbox; then exit 99; fi
chmod -R u+w $TEST_ROOT/store0 || true
rm -rf $TEST_ROOT/store0